<ion-app class="bg-primary">
    <!--  our side menu  -->
    <ion-menu contentId="menu-dash">
      <ion-header>
        <ion-toolbar color="primary">
          <ion-title class="ion-float-left" style="margin-top: 8px;">

          </ion-title>
          <ion-chip class="ion-float-right" (click)="profile($event)">
            <ion-avatar>
              
            </ion-avatar>
            <ion-label>
              <span class="align-middle">{{
                !currentUser ? "Usuario" : currentUser.first_name
              }}</span>
              <ion-icon class="align-middle" name="arrow-dropdown"></ion-icon>
            </ion-label>
          </ion-chip>
        </ion-toolbar>
      </ion-header>
      <ion-content>
        <ion-list>
          <ion-item-group *ngFor="let section of menuMetaData">
            <ion-item-divider>
              <ion-label>
                {{ section.name }}
              </ion-label>
            </ion-item-divider>
            <ion-item
              button
              (click)="menuCtrl.close()"
              *ngFor="let item of section.items"
              [routerLink]="item.path"
              [class]="item.path == parseUrl(router.url) ? 'activeItem' : ''"
            >
              <ion-icon
                class="align-middle"
                [name]="item.icon"
                item-left
              ></ion-icon>
              <span class="align-middle">{{ item.label }}</span>
            </ion-item>
          </ion-item-group>
          <ion-item button (click)="logout()">
            <ion-icon
              class="align-middle"
              [name]="'log-out'"
              item-left
            ></ion-icon>
            <span class="align-middle">Salir</span>
          </ion-item>
        </ion-list>
      </ion-content>
    </ion-menu>
    <!-- the main content -->
    <ion-router-outlet id="menu-dash"></ion-router-outlet>
</ion-app>
